summaryrefslogtreecommitdiff
path: root/setup.sh
diff options
context:
space:
mode:
authorjomo <github@jomo.tv>2015-09-01 23:59:43 +0200
committerjomo <github@jomo.tv>2015-09-01 23:59:43 +0200
commit75a78dfef090227720d1675cf799ee511ebb1452 (patch)
treebb311af7ee0601ae621c7bd58c54927a58ed45d2 /setup.sh
parent945cc977a772e5ab8e6cd75e4ec8af5fbd44bd12 (diff)
Fix #25
which -s is not available on all platforms
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/setup.sh b/setup.sh
index 3748cca..336376f 100755
--- a/setup.sh
+++ b/setup.sh
@@ -4,7 +4,7 @@
set -e
for cmd in curl java unzip git pip; do
- if ! which -s "$cmd"; then
+ if ! which "$cmd" >/dev/null; then
tput setf 4 >&2
echo "Error: please install '$cmd' to proceed" >&2
tput sgr0 >&2
@@ -172,4 +172,4 @@ echo "eula=true" > eula.txt
echo -e "\n> $(tput setf 2)All Done! $(tput sgr0)Don't forget to configure plugins for your needs."
echo "> Run redstoner/server/start.sh to start the server"
-echo "> Our plugins are in redstoner/server/plugins/redstoner-utils.py.dir" \ No newline at end of file
+echo "> Our plugins are in redstoner/server/plugins/redstoner-utils.py.dir"